<?php

//Define where you have placed the phptreeview folder.
define("TREEVIEW_SOURCE", "../phpscripts/common/phptreeview/");	 

//Include the phptreeview engine.
include(TREEVIEW_SOURCE."treeviewclasses.php");
require (XAJAX_PATH."xajax.inc.php");

function AjaxUpdateSelectedNode($treeid, $nodeid = -1)
{
	$objResponse = new xajaxResponse();

	if ($nodeid != -1)
		$_SESSION[$treeid]->HttpUpdateNodeById($nodeid);
	
	$_SESSION[$treeid]->CreateTreeView();

	$updated_treeview = $_SESSION[$treeid]->treeview_string;
	$objResponse->addAssign($treeid, "innerHTML", $updated_treeview);

	return $objResponse;
}

session_start();

// Instantiate the xajax object. No parameters defaults requestURI to this page, method to POST, and debug to off
$xajax = new xajax(); 

//$xajax->debugOn(); // Uncomment this line to turn debugging on

// Specify the PHP functions to wrap. The JavaScript wrappers will be named xajax_functionname
$xajax->registerFunction("AjaxUpdateSelectedNode");

// Process any requests.  Because our requestURI is the same as our html page,
// this must be called before any headers or HTML output have been sent
$xajax->processRequests();

//Define identify name(s) to your treeview(s);
$treeviewid = array("treeviewbasic");

//Creates phptreeview objects.
include(TREEVIEW_SOURCE."treeviewcreate.php");

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head>
		<title>Basic TreeView</title>
		<?php $xajax->printJavascript(XAJAX_PATH); // output the xajax javascript. This must be called between the head tags ?>
		<!-- some basic css properties to make it look ok -->
		<link href="<?php echo TREEVIEW_SOURCE; ?>css/style.css" rel="stylesheet" type="text/css">
	</head>

	<body>
	
	<?php
	//You have to clean the session to be able to load the nodes again
	//(uncomment the line below during one page load). 
	//unset($_SESSION["NodesHasBeenAddedBasic"]); 

	if (isset($_SESSION["NodesHasBeenAddedBasic"]) == false)
	{
		//Do only load treeview nodes first time page is loaded.
		
		//If nodes from last session exists, remove them.
		unset($_SESSION["treeviewbasic"]->Nodes);
		
		$node = new TreeNode("1", "Root Folder");		//Create a new node object with id "1" and set the name to "Root Folder".
		$_SESSION["treeviewbasic"]->AddNode($node);		//Add "Root Folder" node to treeview.
		 
		$node = new TreeNode("2", "Folder One");
		$node->SetParentId("1");						//Set "Root Folder" node as parent.
		$_SESSION["treeviewbasic"]->AddNode($node);
		
		$node = new TreeNode("3", "Folder Two");
		$node->SetParentId("1");						//Set "Root Folder" node as parent.
		$_SESSION["treeviewbasic"]->AddNode($node);
		
		$node = new TreeNode("4", "Driver");
		$node->SetParentId("2");						//Set "Folder One" node as parent.
		$_SESSION["treeviewbasic"]->AddNode($node);

		$_SESSION["NodesHasBeenAddedBasic"] = true;
	}
	
	$_SESSION["treeviewbasic"]->PrintTreeView();
	?>

	</body>
</html>





















<?php		
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head>
		<title>Basic TreeView</title>
	</head>
<body>

<?php

?>

