<?php

function AjaxSort($grid_id, $column_order_key)
{
	$objResponse = new xajaxResponse();

	$_SESSION[$grid_id]->order_column_index = $column_order_key; 

	if ($_SESSION[$grid_id]->columns[$column_order_key]->is_asc_order == true)
		$_SESSION[$grid_id]->columns[$column_order_key]->is_asc_order = false;
	else 
		$_SESSION[$grid_id]->columns[$column_order_key]->is_asc_order = true;

	$objResponse->addAssign($grid_id, "innerHTML", $_SESSION[$grid_id]->CreateGrid());

	return $objResponse;
}

function AjaxSaveColumnWidth($grid_id, $left_index, $left_width, $right_index, $right_width)
{
	$objResponse = new xajaxResponse();
	
	$_SESSION[$grid_id]->columns[$left_index]->width = $left_width;
	$_SESSION[$grid_id]->columns[$right_index]->width = $right_width;

	return $objResponse;
}

function AjaxChangePage($grid_id, $next)
{
	$objResponse = new xajaxResponse();
	
	$_SESSION[$grid_id]->ChangePage($next);
	$objResponse->addAssign($grid_id."_current_page_number", "innerHTML", $_SESSION[$grid_id]->current_page);

	$objResponse->addAssign($grid_id, "innerHTML", $_SESSION[$grid_id]->CreateGrid());

	return $objResponse;
}

function AjaxGoToPage($grid_id, $go_to_page)
{
	$objResponse = new xajaxResponse();
	
	$_SESSION[$grid_id]->GoToPage($go_to_page);
	$objResponse->addAssign($grid_id."_current_page_number", "innerHTML", $_SESSION[$grid_id]->current_page);
	$objResponse->addAssign($grid_id."_go_to_page_number", "innerHTML", $_SESSION[$grid_id]->current_page);
	$objResponse->addAssign($grid_id, "innerHTML", $_SESSION[$grid_id]->CreateGrid());

	return $objResponse;
}

function AjaxCreateExcelFile($grid_id)
{
	$objResponse = new xajaxResponse();
	
	$_SESSION[$grid_id]->CreateExcelFile();

	return $objResponse;
}

function AjaxEditRow($grid_id, $column_names, $column_values)
{
	$objResponse = new xajaxResponse();
	
	$_SESSION[$grid_id]->EditRow($column_names, $column_values);
	$objResponse->addAssign($grid_id, "innerHTML", $_SESSION[$grid_id]->CreateGrid());

	return $objResponse;
}

function AjaxDeleteRow($grid_id, $column_name, $column_value)
{
	$objResponse = new xajaxResponse();
	
	$_SESSION[$grid_id]->DeleteRow($column_name, $column_value);
	$objResponse->addAssign($grid_id, "innerHTML", $_SESSION[$grid_id]->CreateGrid());

	return $objResponse;
}

function AjaxShowEditForm($grid_id, $id_column_value)
{
	$objResponse = new xajaxResponse();
	
	$_SESSION[$grid_id]->id_row_value_edit_form = $id_column_value;
	$objResponse->addAssign($grid_id, "innerHTML", $_SESSION[$grid_id]->CreateGrid());

	return $objResponse;
}

function AjaxSaveForm($id_column, $id_value, $grid_id, $values_string)
{
	$objResponse = new xajaxResponse();

	$values = array();
	$values = split("value_separator_grid", $_SESSION[$grid_id]->StripTags(trim($values_string)));
	
	
	$_SESSION[$grid_id]->SaveRow($id_column, $id_value, $values);
	$_SESSION[$grid_id]->id_row_value_edit_form = ""; //Remove inputs. 
	$objResponse->addAssign($grid_id, "innerHTML", $_SESSION[$grid_id]->CreateGrid());

	
	return $objResponse;
}

function AjaxSaveInsertForm($id_column, $grid_id, $values_string)
{
	$objResponse = new xajaxResponse();

	$values = array();
	$values = split("value_separator_grid", $_SESSION[$grid_id]->StripTags(trim($values_string)));
	
	$empty = true;
	foreach ($values as $value)
	{
		if ($value != "")
		{
			$empty = false;
			break;
		}
	}

	if ($empty == false)
	{
		if ($_SESSION[$grid_id]->InsertRow($id_column, $values) == true)
		{
			$objResponse->addAssign($grid_id, "innerHTML", $_SESSION[$grid_id]->CreateGrid());
		}
	}
	
	return $objResponse;
}


function AjaxSetSelectedRow($grid_id, $row_id)
{
	$objResponse = new xajaxResponse();

	if ($row_id != $_SESSION[$grid_id]->selected_row_id)
	{
		$_SESSION[$grid_id]->selected_row_id = $row_id;
		$objResponse->addAssign($grid_id, "innerHTML", $_SESSION[$grid_id]->CreateGrid());
	}
		
	return $objResponse;
}
?>