<?php

	//Define where you have placed the grid folder.
	define("GRID_SOURCE", "../../");	 
	
	include(GRID_SOURCE."class/gridclasses.php"); //Include the grid engine.
	
	session_start();
	
	$xajax = new xajax();
	include(GRID_SOURCE."ajax/ajax.php");	//Enables real-time update. Must be called before any headers or HTML output have been sent.
	$xajax->processRequests();
	
	//Define identifying name(s) to your grid(s). Must be unqiue name(s).
	$grid_id = array("grid_view_more");
	
	//IMPORTANT! When making changes to the code, you have to uncomment the line //unset($_SESSION["grid_view_more"]); below during one page load. Or else you wont see the updates.
	//Remember to comment the again line when publishing PHP Grid, or else PHP Grid wont remember the settings between page loads.
	//unset($_SESSION["grid_view_more"]); 
	include(GRID_SOURCE."class/gridcreate.php"); //Creates grid objects.
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head>
		<title>View More Grid</title>
		<?php $xajax->printJavascript(GRID_SOURCE."ajax/framework"); //Enables real-time update. ?>
		<script language="Javascript" type="text/javascript" src="<?php echo GRID_SOURCE; ?>javascript/javascript.js"></script> <!-- enable column resizing -->
		
		<!-- some basic css properties to make it look ok -->
		<link href="<?php echo GRID_SOURCE; ?>css/style.css" rel="stylesheet" type="text/css">
	</head>

	<body onmouseup="SetMouseDown(false);"><!-- to be able to resize grid columns -->
	
		<?php
			//Define your database connection.	
			$_SESSION["grid_view_more"]->SetDatabaseConnection("your_database", "your_username", "your_password"); //Database, Username, Password, Optional Hostname (defualt is localhost).		
			$_SESSION["grid_view_more"]->SetSqlSelect("*", "yourtable"); 		//= SELECT * FROM yourtable. 
			
			//A third optional value can be added as the WHERE argument.
			//$_SESSION["grid_view"]->SetSqlSelect("*", "yourtable", "id < 10");		
			
			$_SESSION["grid_view_more"]->SetUniqueDatabaseColumn("id", false);	//Define which column in yourtable that is unique and if it should be shown or not. To be able to add rows easy use auto_increment on your unique column. 
			$_SESSION["grid_view_more"]->PrintGrid(MODE_VIEW);					//Create the grid.	

			//Other useful functions.
			//$_SESSION["grid_view_more"]->SetImageDatabaseColumn("Gender", "media/");    //The database column "Gender" will be shown as images in the grid. The path to images are "media/"
			//$_SESSION["grid_view_more"]->SetUrlDatabaseColumn("Homesite");			  //The database column "Homesite" will be shown as urls. 
			//$_SESSION["grid_view_more"]->SetUrlImageDatabaseColumn("Homesite", true, "media/female.gif");	//The database column will be treated as url. True means the the url will be opened in a new window. "media/female.gif" is the image the will be shown on all rows in this column.
			//$_SESSION["grid_view_more"]->SetMailAdressDatabaseColumn("Email");		  //The database column "Email" will be shown as email urls.	
			//$_SESSION["grid_view_more"]->SetWidth(700);		  						  //Sets the grid width in pixels.	
			//$_SESSION["grid_view_more"]->SetMaxRowsEachPage(20);						  //Sets the number of rows that will be shown on each page.
			//$_SESSION["grid_view_more"]->SetDatabaseColumnWidth("Homesite", 50);		  //Sets the width of the column.
			
			//Check out more functions at: http://www.phpscripts.se/phpgrid/documentation.php
		?>

	</body> 
</html>


